## sdformat 4.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

if(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
  CMAKE_POLICY(SET CMP0004 NEW)
endif(COMMAND CMAKE_POLICY)
enable_testing()

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

project (SDFormat)
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)

# The protocol version has nothing to do with the package version set below.
# It represents the current version of sdformat implement by the software
set (SDF_PROTOCOL_VERSION 1.6)

set (SDF_MAJOR_VERSION 4)
set (SDF_MINOR_VERSION 3)
set (SDF_PATCH_VERSION 2)

set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

set (project_cmake_dir ${PROJECT_SOURCE_DIR}/cmake
  CACHE PATH "Location of CMake scripts")

message (STATUS "${PROJECT_NAME} version ${SDF_VERSION_FULL}")
set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

# Include GNUInstallDirs to get canonical paths
include(GNUInstallDirs)

# Default test type for test all over source
set(TEST_TYPE "UNIT")

# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()

set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION}/sdf")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING "Installation directory for libraries (relative to CMAKE_INSTALL_PREFIX)")
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR} CACHE STRING "Installation directory for binaries (relative to CMAKE_INSTALL_PREFIX)")

set (USE_FULL_RPATH OFF CACHE BOOL "Set to true to enable full rpath")


if (USE_FULL_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
  set(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

  # the RPATH to be used when installing, but only if its not a system directory
  list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
  if("${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  endif("${isSystemDir}" STREQUAL "-1")
endif()

set (BUILD_SDF ON CACHE INTERNAL "Build SDF" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)

set (sdf_cmake_dir ${PROJECT_SOURCE_DIR}/cmake CACHE PATH
     "Location of CMake scripts")

include (${sdf_cmake_dir}/SDFUtils.cmake)

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
 # Use of tinyxml. System installation on UNIX. Internal copy on WIN
if (UNIX)
  message (STATUS "Using system tinyxml")
  set (USE_EXTERNAL_TINYXML True)
elseif(WIN32)
  message (STATUS "Using internal tinyxml code")
  set (USE_EXTERNAL_TINYXML False)
else()
  message (STATUS "Unknown platform")
  BUILD_ERROR("Unknown platform")
endif()
include (${sdf_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
    "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

set (BUILD_TYPE_PROFILE FALSE)
set (BUILD_TYPE_RELEASE FALSE)
set (BUILD_TYPE_RELWITHDEBINFO FALSE)
set (BUILD_TYPE_DEBUG FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  include (${project_cmake_dir}/CodeCoverage.cmake)
  set (BUILD_TYPE_DEBUG TRUE)
  SETUP_TARGET_FOR_COVERAGE(coverage ctest coverage)
else()
  build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Check")
endif()

#####################################
# Handle CFlags
unset (CMAKE_C_FLAGS_ALL CACHE)
unset (CMAKE_CXX_FLAGS CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${project_cmake_dir}/HostCFlags.cmake)
endif()

# USE_UPSTREAM_CFLAGS (default TRUE)
# Will use predefined ignition developers cflags
if(NOT DEFINED USE_UPSTREAM_CFLAGS OR USE_UPSTREAM_CFLAGS)
  message(STATUS "Enable upstream CFlags")
  include(${project_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
if (MSVC)
  set(WARN_LEVEL "/W4")

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly
  set(UNFILTERED_FLAGS "/EHsc")
else()
  # Equivalent to Wall (according to man gcc) but removed the unknown pragams since we use
  # MSVC only pragmas all over the code
  list(APPEND WARN_LEVEL -Waddress -Warray-bounds -Wcomment -Wformat -Wnonnull)
  list(APPEND WARN_LEVEL -Wparentheses -Wreorder -Wreturn-type)
  list(APPEND WARN_LEVEL -Wsequence-point -Wsign-compare -Wstrict-aliasing)
  list(APPEND WARN_LEVEL -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized)
  list(APPEND WARN_LEVEL -Wunused-function -Wunused-label -Wunused-value)
  list(APPEND WARN_LEVEL -Wunused-variable -Wvolatile-register-var)

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  set(UNFILTERED_FLAGS "-Wc++11-compat")
endif()

filter_valid_compiler_warnings(${WARN_LEVEL} -Wextra -Wno-long-long
  -Wno-unused-value -Wno-unused-value -Wno-unused-value -Wno-unused-value
  -Wfloat-equal -Wshadow -Winit-self -Wswitch-default
  -Wmissing-include-dirs -pedantic -Wno-pragmas)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}${WARNING_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  sdf_setup_unix()
else (WIN32)
  sdf_setup_windows()
else (APPLE)
  sdf_setup_apple()
endif()

#################################################
# Print warnings and errors
if ( build_warnings )
  message(STATUS "BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(STATUS "BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. Please see the BUILD ERRORS above.")

else (buid_errors)

  ########################################
  # Write the config.h file
  configure_file (${sdf_cmake_dir}/sdf_config.h.in
    ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)
  sdf_install_includes("" ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)

  message (STATUS "C Flags:${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${CMAKE_BUILD_TYPE}}")
  message (STATUS "Build Type: ${CMAKE_BUILD_TYPE}")
  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")

  if (BUILD_SDF)
    include_directories(include
      ${PROJECT_BINARY_DIR}
      ${PROJECT_BINARY_DIR}/include
      )

    link_directories(${PROJECT_BINARY_DIR}/src)

    add_subdirectory(test)
    add_subdirectory(src)
    add_subdirectory(include/sdf)
    add_subdirectory(sdf)
    add_subdirectory(doc)
  endif(BUILD_SDF)

  ########################################
  # Make the package config file
  configure_file(${CMAKE_SOURCE_DIR}/cmake/sdformat_pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/sdformat.pc DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig COMPONENT pkgconfig)

  ########################################
  # Configure documentation uploader
  configure_file("${CMAKE_SOURCE_DIR}/cmake/upload_doc.sh.in"
    ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)

  ########################################
  # Make the cmake config files
  set(PKG_NAME ${PROJECT_NAME})
  set(PKG_LIBRARIES sdformat)
  set(cmake_conf_file "cmake/sdf_config.cmake")
  set(cmake_conf_version_file "cmake/SDFormatConfigVersion.cmake")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${cmake_conf_file}.in" "${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake" @ONLY)
  # Use write_basic_package_version_file to generate a ConfigVersion file that
  # allow users of gazebo to specify the API or version to depend on
  # TODO: keep this instruction until deprecate Ubuntu/Precise and update with
  # https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake
  include(WriteBasicConfigVersionFile)
  write_basic_config_version_file(
      ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
      VERSION "${SDF_VERSION_FULL}"
      COMPATIBILITY SameMajorVersion)
  install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
          DESTINATION
	    ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/
	  COMPONENT cmake)

  ########################################
  # Package Creation:
  include (${sdf_cmake_dir}/sdf_cpack.cmake)
  set (CPACK_PACKAGE_VERSION "${SDF_VERSION_FULL}")
  set (CPACK_PACKAGE_VERSION_MAJOR "${SDF_MAJOR_VERSION}")
  set (CPACK_PACKAGE_VERSION_MINOR "${SDF_MINOR_VERSION}")
  set (CPACK_PACKAGE_VERSION_PATCH "${SDF_PATCH_VERSION}")

  if (CPACK_GENERATOR)
    message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

    configure_file("${sdf_cmake_dir}/cpack_options.cmake.in"
                   ${SDF_CPACK_CFG_FILE} @ONLY)
    set(CPACK_PROJECT_CONFIG_FILE ${SDF_CPACK_CFG_FILE})
    include (CPack)
  endif()

  message(STATUS "Configuration successful. Type make to compile sdf")
endif(build_errors)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  audio.cc
  category_bitmask.cc
  cfm_damping_implicit_spring_damper.cc
  converter.cc
  disable_fixed_joint_reduction.cc
  fixed_joint_reduction.cc
  force_torque_sensor.cc
  frame.cc
  include.cc
  joint_axis_frame.cc
  locale_fix.cc
  model_versions.cc
  nested_model.cc
  parser_error_detection.cc
  plugin_attribute.cc
  plugin_bool.cc
  plugin_include.cc
  provide_feedback.cc
  urdf_gazebo_extensions.cc
  urdf_joint_parameters.cc
)

if (PYTHONINTERP_FOUND AND PY_PSUTIL)
  set(tests ${tests} element_memory_leak.cc)
endif()

find_program(XMLLINT_EXE xmllint)
if (EXISTS ${XMLLINT_EXE})
  set (tests ${tests} schema_test.cc)
else()
  BUILD_WARNING("xmllint not found. schema_test won't be run")
endif()

link_directories(${PROJECT_BINARY_DIR}/test)

sdf_build_tests(${tests})

if (EXISTS ${XMLLINT_EXE})
  # Need to run schema target (build .xsd files) before running schema_test
  add_dependencies(${TEST_TYPE}_schema_test schema)
endif()

## sdformat 6.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,9 @@
 # It represents the current version of sdformat implement by the software
 set (SDF_PROTOCOL_VERSION 1.6)
 
-set (SDF_MAJOR_VERSION 4)
-set (SDF_MINOR_VERSION 3)
-set (SDF_PATCH_VERSION 2)
+set (SDF_MAJOR_VERSION 6)
+set (SDF_MINOR_VERSION 0)
+set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})
@@ -160,10 +160,10 @@
   set(WARN_LEVEL "/W4")
 
   # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
-  # Handling exceptions rightly
-  set(UNFILTERED_FLAGS "/EHsc")
+  # Handling exceptions rightly and ignore unknown pragmas
+  set(UNFILTERED_FLAGS "/EHsc /wd4068")
 else()
-  # Equivalent to Wall (according to man gcc) but removed the unknown pragams since we use
+  # Equivalent to Wall (according to man gcc) but removed the unknown pragmas since we use
   # MSVC only pragmas all over the code
   list(APPEND WARN_LEVEL -Waddress -Warray-bounds -Wcomment -Wformat -Wnonnull)
   list(APPEND WARN_LEVEL -Wparentheses -Wreorder -Wreturn-type)
@@ -186,11 +186,15 @@
 # OS Specific initialization
 if (UNIX)
   sdf_setup_unix()
-else (WIN32)
+endif ()
+
+if (WIN32)
   sdf_setup_windows()
-else (APPLE)
+endif ()
+
+if (APPLE)
   sdf_setup_apple()
-endif()
+endif ()
 
 #################################################
 # Print warnings and errors
@@ -208,7 +212,8 @@
   "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
   IMMEDIATE @ONLY)
 add_custom_target(uninstall
-  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")
+  "${CMAKE_COMMAND}" -P
+  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")
 
 if (build_errors)
   message(STATUS "BUILD ERRORS: These must be resolved before compiling.")
@@ -242,6 +247,7 @@
     add_subdirectory(src)
     add_subdirectory(include/sdf)
     add_subdirectory(sdf)
+    add_subdirectory(conf)
     add_subdirectory(doc)
   endif(BUILD_SDF)

=== sdf/1.6/CMakeLists.txt ===
set (sdfs
  actor.sdf
  altimeter.sdf
  atmosphere.sdf
  audio_source.sdf
  audio_sink.sdf
  battery.sdf
  box_shape.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  cylinder_shape.sdf
  frame.sdf
  forcetorque.sdf
  geometry.sdf
  gps.sdf
  gripper.sdf
  gui.sdf
  heightmap_shape.sdf
  image_shape.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  light_state.sdf
  link.sdf
  link_state.sdf
  logical_camera.sdf
  magnetometer.sdf
  material.sdf
  mesh_shape.sdf
  model.sdf
  model_state.sdf
  noise.sdf
  physics.sdf
  plane_shape.sdf
  plugin.sdf
  polyline_shape.sdf
  population.sdf
  pose.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  spherical_coordinates.sdf
  sphere_shape.sdf
  sonar.sdf
  state.sdf
  surface.sdf
  transceiver.sdf
  visual.sdf
  world.sdf
)

set (SDF_SCHEMA)

foreach(FIL ${sdfs})
  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
  get_filename_component(FIL_WE ${FIL} NAME_WE)

  list(APPEND SDF_SCHEMA "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd")

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd"
    COMMAND ${RUBY} ${CMAKE_SOURCE_DIR}/tools/xmlschema.rb
    ARGS -s ${CMAKE_CURRENT_SOURCE_DIR} -i ${ABS_FIL} -o ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ABS_FIL}
    COMMENT "Running xml schema compiler on ${FIL}"
    VERBATIM)
endforeach()

add_custom_target(schema1_6 ALL DEPENDS ${SDF_SCHEMA})

set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)

install(FILES 1_5.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.6)
install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.6)

## sdformat 6.0.0+dfsg

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

find_package(SDFormat REQUIRED)

include_directories(${SDFormat_INCLUDE_DIRS})
link_directories(${SDFormat_LIBRARY_DIRS})

add_executable(simple simple.cc)
target_link_libraries(simple ${SDFormat_LIBRARIES})

add_executable(dom dom.cc)
target_link_libraries(dom ${SDFormat_LIBRARIES})

=== src/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${IGNITION-MATH_INCLUDE_DIRS}
)

link_directories(
  ${PROJECT_BINARY_DIR}/test
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (NOT USE_INTERNAL_URDF)
  link_directories(${URDF_LIBRARY_DIRS})
endif()

if (USE_EXTERNAL_TINYXML)
  link_directories(${tinyxml_LIBRARY_DIRS})
endif()

set (sources
  Console.cc
  Converter.cc
  Element.cc
  Error.cc
  Exception.cc
  Filesystem.cc
  ign.cc
  parser.cc
  parser_urdf.cc
  Param.cc
  Root.cc
  SDF.cc
  SDFExtension.cc
  Types.cc
  Utils.cc
  World.cc
)

if (USE_EXTERNAL_TINYXML)
  include_directories(${tinyxml_INCLUDE_DIRS})
else()
  set(sources ${sources}
    win/tinyxml/tinystr.cpp
    win/tinyxml/tinyxmlerror.cpp
    win/tinyxml/tinyxml.cpp
    win/tinyxml/tinyxmlparser.cpp)

    install (FILES win/tinyxml/tinyxml.h
	    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION})
endif()

if (USE_INTERNAL_URDF)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/urdf)
  set(sources ${sources}
  urdf/urdf_parser/model.cpp
  urdf/urdf_parser/link.cpp
  urdf/urdf_parser/joint.cpp
  urdf/urdf_parser/pose.cpp
  urdf/urdf_parser/twist.cpp
  urdf/urdf_parser/urdf_model_state.cpp
  urdf/urdf_parser/urdf_sensor.cpp
  urdf/urdf_parser/world.cpp)
else()
  include_directories(${URDF_INCLUDE_DIRS})
endif()

set (gtest_sources
  SDF_TEST.cc
  Console_TEST.cc
  Converter_TEST.cc
  Element_TEST.cc
  Error_TEST.cc
  Exception_TEST.cc
  Filesystem_TEST.cc
  parser_urdf_TEST.cc
  Param_TEST.cc
  parser_TEST.cc
  Root_TEST.cc
  Types_TEST.cc
  World_TEST.cc
)

# Build this test file only if Ignition Tools is installed.
if (IGNITION-TOOLS_BINARY_DIRS)
  set (gtest_sources ${gtest_sources}
    ign_TEST.cc
  )
endif()

sdf_build_tests(${gtest_sources})

sdf_add_library(sdformat ${sources})
target_link_libraries(sdformat ${IGNITION-MATH_LIBRARIES})

if (USE_EXTERNAL_TINYXML)
  target_link_libraries(sdformat ${tinyxml_LIBRARIES})
else()
  # Ignore the warnings from the internal library
  set_target_properties(sdformat PROPERTIES
      LINK_FLAGS "/IGNORE:4049 /IGNORE:4217")
endif()

message (STATUS "URDF_LIBRARY_DIRS=${URDF_LIBRARY_DIRS}")
message (STATUS "URDF_LIBRARIES=${URDF_LIBRARIES}")

if (NOT USE_INTERNAL_URDF)
  target_link_libraries(sdformat ${URDF_LIBRARIES})
endif()

sdf_install_library(sdformat)

add_subdirectory(cmd)

=== include/sdf/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

set (headers
  Assert.hh
  Console.hh
  Element.hh
  Error.hh
  Exception.hh
  Filesystem.hh
  Param.hh
  parser.hh
  Root.hh
  SDFImpl.hh
  Types.hh
  system_util.hh
  World.hh
)

set (sdf_headers "" CACHE INTERNAL "SDF headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(sdf_headers
    "SDF Headers" "#include <sdf/${hdr}>\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/sdf.hh.in
                ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

sdf_install_includes("" ${headers} parser_urdf.hh
  ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

=== sdf/1.0/CMakeLists.txt ===
set (sdfs
  actor.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  gazebo.sdf
  geometry.sdf
  gripper.sdf
  gui.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  model.sdf
  physics.sdf
  plugin.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  scene.sdf
  sensor.sdf
  state.sdf
  surface.sdf
  visual.sdf
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.0/)

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
   frame.cc
   include.cc
   joint_axis_frame.cc
+  link_light.cc
   locale_fix.cc
   model_versions.cc
   nested_model.cc
@@ -19,8 +20,11 @@
   plugin_bool.cc
   plugin_include.cc
   provide_feedback.cc
+  root_dom.cc
+  sdf_basic.cc
   urdf_gazebo_extensions.cc
   urdf_joint_parameters.cc
+  world_dom.cc
 )
 
 if (PYTHONINTERP_FOUND AND PY_PSUTIL)

=== test/performance/CMakeLists.txt ===
set(TEST_TYPE "PERFORMANCE")

set(tests
  parser_urdf.cc
)

link_directories(${PROJECT_BINARY_DIR}/test)

sdf_build_tests(${tests})

=== debian/changelog ===
sdformat (6.0.0+dfsg-4) unstable; urgency=medium

  * Fix dependency of libsdformat4-dev with respect to ignition-math
    (Closes: #890987)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 21 Feb 2018 16:46:04 +0000

sdformat (6.0.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Feb 2018 17:34:32 +0000

sdformat (6.0.0+dfsg-2) experimental; urgency=medium

  * Fix many problems related to the copyright file.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 13:05:12 -0800

sdformat (6.0.0+dfsg-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Update dependencies
  * Clean up lintian-overrides
  * Do not install NEWS file. It is empty
  * Update copyright for 2017 year OSRF
  * Update rules: remove features in compat 11 and update hardening setting
  * Added graphviz to build deps
  * Remove c++11 unconditional patch
  * Set -DUSE_HOST_CFLAGS to false
  * Added patch to support None build type
  * Added patch to remove the find_packge of ignition-tools
  * Remove patch, expose the warning of missing ign-tools
  * Patch to respect CMAKE_X_FLAGS_
  * Fix gtest packaged patch
  * Update copyring file

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2018 17:28:45 -0800

sdformat (4.3.2-1) unstable; urgency=medium

  * Imported Upstream version 4.3.2
  * Update to standards 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 19:03:51 +0000

sdformat (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * [33b27de] Fix wrong usage of else-keyword in cmake. (Closes: #870237)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 22:11:33 +0200

sdformat (4.2.0-2) unstable; urgency=medium

  * [507060f] Use texlive-latex-recommended instead of latex-xcolor.
              (Closes: #865252)
  * [c2b854d] Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Sun, 02 Jul 2017 22:54:42 +0200

=== debian/control ===
Source: sdformat
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               python,
               libboost-system-dev,
               libtinyxml-dev,
               liburdfdom-dev,
               doxygen,
               graphviz,
               texlive-base,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               ruby | ruby-interpreter,
               libignition-math4-dev,
               libgtest-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/sdformat
Vcs-Git: https://salsa.debian.org/science-team/sdformat.git
Homepage: http://sdformat.org

Package: libsdformat6
Architecture: any
Multi-Arch: same
Section: libs
Depends: sdformat-sdf (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Simulation Description Format (SDF) parser - Shared library
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package gathers the shared library

Package: libsdformat6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libboost-system-dev,
         libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-regex-dev,
         libtinyxml-dev,
         liburdfdom-dev,
         libignition-math4-dev,
         libsdformat6 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libsdformat4-dev
Provides: libsdformat-dev
Replaces: libsdformat4-dev
Description: Simulation Description Format (SDF) parser - Development files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains development files (headers, shared library
 symbolic link and cmake file).

Package: sdformat-sdf
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Conflicts: libsdformat1
Description: Simulation Description Format (SDF) parser - SDF files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains SDF (Simulation Description Format) XML files needed by
 the libsdformat.

Package: sdformat-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: Simulation Description Format (SDF) parser - Documentation
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains the program documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: override_dh_auto_configure     \
        override_dh_auto_build-indep   \
	override_dh_auto_test-indep    \
        override_dh_auto_test

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_HOST_CFLAGS:BOOL=False \
            -DUSE_UPSTREAM_CFLAGS:BOOL=False

override_dh_auto_build-indep:
	dh_auto_build -- doc # Generate documentation.

override_dh_auto_test-arch:
	HOME=$(CURDIR) LC_ALL=POSIX dh_auto_test

# Upstream release page is generated dynamically taking long time
get-orig-source:
	uscan --timeout 180 --verbose --force-download --repack --compress xz

# No test can be done without the binaries
override_dh_auto_test-indep:

%:
	dh $@ --build-system=cmake

=== debian/watch ===
version=3
opts=dversionmangle=s/$/+dfsg/ \
 http://gazebosim.org/distributions/sdformat/releases/ .*sdformat-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sdformat 6.2.0%2Bdfsg

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(${CMAKE_SOURCE_DIR}/doc/sdf.in
                 ${CMAKE_BINARY_DIR}/sdf.dox @ONLY)

  add_custom_target(doc

    # Generate the API documentation
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/sdf.dox
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/sdf_logo.png
            ${CMAKE_BINARY_DIR}/doxygen/html
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/search.js
            ${CMAKE_BINARY_DIR}/doxygen/html/search
    COMMAND make -C ${CMAKE_BINARY_DIR}/doxygen/latex
    COMMAND mv ${CMAKE_BINARY_DIR}/doxygen/latex/refman.pdf
    ${CMAKE_BINARY_DIR}/doxygen/latex/sdf-${SDF_VERSION_FULL}.pdf

    COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif()

=== sdf/1.3/CMakeLists.txt ===
set (sdfs
  1_2.convert
  actor.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  geometry.sdf
  gripper.sdf
  gui.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  model.sdf
  physics.sdf
  plugin.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  state.sdf
  surface.sdf
  visual.sdf
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.3)

=== debian/changelog ===
sdformat (6.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * Update standars
  * New upstream version 6.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Jan 2019 14:33:46 +0000

## sdformat 6.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 set (SDF_PROTOCOL_VERSION 1.6)
 
 set (SDF_MAJOR_VERSION 6)
-set (SDF_MINOR_VERSION 0)
+set (SDF_MINOR_VERSION 2)
 set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
@@ -39,6 +39,15 @@
 
 message (STATUS "${PROJECT_NAME} version ${SDF_VERSION_FULL}")
 set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)
+
+#============================================================================
+# We turn off extensions because (1) we do not ever want to use non-standard
+# compiler extensions, and (2) this variable is on by default, causing cmake
+# to choose the flag -std=gnu++14 instead of -std=c++14 when the C++14
+# features are requested. Explicitly turning this flag off will force cmake to
+# choose -std=c++14.
+# See https://bitbucket.org/ignitionrobotics/ign-cmake/issues/13 for more info.
+set(CMAKE_CXX_EXTENSIONS off)
 
 # Include GNUInstallDirs to get canonical paths
 include(GNUInstallDirs)

=== conf/CMakeLists.txt ===
include (${project_cmake_dir}/SDFUtils.cmake)

set(ign_library_path "${CMAKE_BINARY_DIR}/src/cmd/cmdsdformat${SDF_MAJOR_VERSION}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: sdformat0.yaml
configure_file(
  "sdformat.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/sdformat${SDF_MAJOR_VERSION}.yaml" @ONLY)

set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmdsdformat${SDF_MAJOR_VERSION}")

# Generate a configuration file.
# Note that the major version of the library is included in the name.
# Ex: sdformat0.yaml
configure_file(
  "sdformat.yaml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/sdformat${SDF_MAJOR_VERSION}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sdformat${SDF_MAJOR_VERSION}.yaml DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/ignition/)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 
 find_package(SDFormat REQUIRED)
+
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 include_directories(${SDFormat_INCLUDE_DIRS})
 link_directories(${SDFormat_LIBRARY_DIRS})

=== sdf/CMakeLists.txt ===
add_subdirectory(1.0)
add_subdirectory(1.2)
add_subdirectory(1.3)
add_subdirectory(1.4)
add_subdirectory(1.5)
add_subdirectory(1.6)

add_custom_target(schema)
add_dependencies(schema schema1_6)

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include
  ${Boost_INCLUDE_DIRS}
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${IGNITION-MATH_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (USE_EXTERNAL_TINYXML)
  link_directories(${tinyxml_LIBRARY_DIRS})
endif()

configure_file(test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)

=== sdf/1.2/CMakeLists.txt ===
set (sdfs
  1_0.convert
  actor.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  gazebo.sdf
  geometry.sdf
  gripper.sdf
  gui.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  model.sdf
  physics.sdf
  plugin.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  scene.sdf
  sensor.sdf
  state.sdf
  surface.sdf
  visual.sdf
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.2)

=== sdf/1.4/CMakeLists.txt ===
set (sdfs
  1_3.convert
  actor.sdf
  audio_source.sdf
  audio_sink.sdf
  box_shape.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  cylinder_shape.sdf
  forcetorque.sdf
  geometry.sdf
  gps.sdf
  gripper.sdf
  gui.sdf
  heightmap_shape.sdf
  image_shape.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  mesh_shape.sdf
  model.sdf
  noise.sdf
  physics.sdf
  plane_shape.sdf
  plugin.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  spherical_coordinates.sdf
  sphere_shape.sdf
  sonar.sdf
  state.sdf
  surface.sdf
  transceiver.sdf
  visual.sdf
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.4)

=== sdf/1.5/CMakeLists.txt ===
set (sdfs
  actor.sdf
  altimeter.sdf
  audio_source.sdf
  audio_sink.sdf
  battery.sdf
  box_shape.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  cylinder_shape.sdf
  frame.sdf
  forcetorque.sdf
  geometry.sdf
  gps.sdf
  gripper.sdf
  gui.sdf
  heightmap_shape.sdf
  image_shape.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  light_state.sdf
  link.sdf
  link_state.sdf
  logical_camera.sdf
  magnetometer.sdf
  material.sdf
  mesh_shape.sdf
  model.sdf
  model_state.sdf
  noise.sdf
  physics.sdf
  plane_shape.sdf
  plugin.sdf
  polyline_shape.sdf
  population.sdf
  pose.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  spherical_coordinates.sdf
  sphere_shape.sdf
  sonar.sdf
  state.sdf
  surface.sdf
  transceiver.sdf
  visual.sdf
  world.sdf
)

set (SDF_SCHEMA)

foreach(FIL ${sdfs})
  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
  get_filename_component(FIL_WE ${FIL} NAME_WE)

  list(APPEND SDF_SCHEMA "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd")

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd"
    COMMAND ${RUBY} ${CMAKE_SOURCE_DIR}/tools/xmlschema.rb
    ARGS -s ${CMAKE_CURRENT_SOURCE_DIR} -i ${ABS_FIL} -o ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ABS_FIL}
    COMMENT "Running xml schema compiler on ${FIL}"
    VERBATIM)
endforeach()

add_custom_target(schema1_5 ALL DEPENDS ${SDF_SCHEMA})

set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)

install(FILES 1_4.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.5)
install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat/1.5)

=== src/cmd/CMakeLists.txt ===
include (${project_cmake_dir}/SDFUtils.cmake)

# Generate a the ruby script.
# Note that the major version of the library is included in the name.
# Ex: cmdsdformat0.rb
if (APPLE)
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}${SDF_MAJOR_VERSION}.dylib)
else()
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.so.${SDF_MAJOR_VERSION})
endif()

configure_file(
  "cmdsdformat.rb.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmdsdformat${SDF_MAJOR_VERSION}.rb" @ONLY)

# Install the ruby command line library in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmdsdformat${SDF_MAJOR_VERSION}.rb DESTINATION lib/ruby/ignition)

=== debian/changelog ===
sdformat (6.2.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:10:20 +0100

sdformat (6.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Port scripts to Python 3 to drop Python 2 dependency (Closes: #938455).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no.
  * Update to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Jan 2020 17:54:02 +1100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
-               python,
+               debhelper-compat (= 12),
+               python3,
                libboost-system-dev,
                libtinyxml-dev,
                liburdfdom-dev,
@@ -15,13 +15,15 @@
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
+               texlive-plain-generic,
                ruby | ruby-interpreter,
                libignition-math4-dev,
                libgtest-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/sdformat
 Vcs-Git: https://salsa.debian.org/science-team/sdformat.git
 Homepage: http://sdformat.org
+Rules-Requires-Root: no
 
 Package: libsdformat6
 Architecture: any

=== debian/watch ===
version=3
opts=repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/$/+dfsg/ \
 https://bitbucket.org/osrf/sdformat/downloads/?tab=tags .*/sdformat6.*_(\d\S+)\.tar\.gz
